%define upstream_name File_Gettext
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.4.2
Release:     	%mkrel 2
Summary:    	GNU Gettext file parser
License: 	BSD
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_Gettext-%{version}.tgz
URL: 		http://pear.php.net/package/File_Gettext
BuildRequires: 	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
Reader and writer for GNU PO and MO files.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_Gettext.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_Gettext.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_Gettext
fi

%files
%defattr(-,root,root)
%doc docs/File_Gettext/*
%{peardir}/*
%{xmldir}/File_Gettext.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.4.2-2.mga3
+ Revision: 376117
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 spuhler <spuhler> 0.4.2-1.mga2
+ Revision: 218420
- upgrade to 0.4.2

* Mon Jan 17 2011 spuhler <spuhler> 0.4.1-5.mga1
+ Revision: 20743
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-File_Gettext

